module.exports = {
    block: 'page',
    title: 'Alerts · Bootstrap',
    favicon: '/favicon.ico',
    head: [
        { elem: 'meta', attrs: { name: 'viewport', content: 'width=device-width, initial-scale=1, shrink-to-fit=no' } },
        { elem: 'css', url: 'https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css' },
        { elem: 'css', url: '/bundles/demo/demo.min.css' }
    ],
    scripts: [
        { elem: 'js', url: 'https://code.jquery.com/jquery-3.2.1.slim.min.js' },
        { elem: 'js', url: 'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js' },
        { elem: 'js', url: 'https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js' },
        { elem: 'js', url: '/bundles/demo/demo.min.js' }
    ],
    content: [
        {
            block: 'container',
            mods: {
                fluid: true
            },
            content: [
                {
                    block: 'main',
                    content: [
                        {
                            tag: 'h1',
                            content: 'Alerts'
                        },
                        {
                            tag: 'p',
                            cls: 'bd-lead',
                            content: 'Provide contextual feedback messages for typical user actions with the handful of available and flexible alert messages.'
                        },
                        {
                            tag: 'h2',
                            content: 'Examples'
                        },
                        {
                            tag: 'p',
                            content: 'Alerts are available for any length of text, as well as an optional dismiss button.'
                        },
                        {
                            block: 'highlight'
                        },
                        {
                            block: 'example',
                            content: [
                                'primary',
                                'secondary',
                                'success',
                                'danger',
                                'warning',
                                'info',
                                'light',
                                'dark',
                            ].map(function (modName) {
                                var mod = {};
                                mod[modName] = true;
                                return {
                                    block: 'alert',
                                    mods: mod,
                                    content: 'This is a ' + modName + ' alert—check it out!'
                                }
                            })
                        },
                        {
                            tag: 'h2',
                            content: 'Link color'
                        },
                        {
                            tag: 'p',
                            content: [
                                'Use the element ',
                                {
                                    block: 'code',
                                    mods: {
                                        highlighter: 'rouge'
                                    },
                                    content: 'link'
                                },
                                ' to quickly provide matching colored links within any alert.',
                            ]
                        },
                        {
                            block: 'example',
                            content: [
                                'primary',
                                'secondary',
                                'success',
                                'danger',
                                'warning',
                                'info',
                                'light',
                                'dark',
                            ].map(function (modName) {
                                var mods = {};
                                mods[modName] = true;
                                return {
                                    block: 'alert',
                                    mods: mods,
                                    content: [
                                        'This is a primary alert with ',
                                        {
                                            elem: 'link',
                                            url: '#',
                                            content: 'an example link.'
                                        },
                                        ' Give it a click if you like.',
                                    ]
                                }
                            })
                        },
                        {
                            tag: 'h2',
                            content: 'Dismissing'
                        },
                        {
                            block: 'example',
                            content: {
                                block: 'alert',
                                mods: {
                                    warning: true,
                                    dismissible: true,
                                },
                                content: [
                                    {
                                        tag: 'strong',
                                        content: 'Holy guacamole!'
                                    },
                                    ' You should check in on some of those fields below.'
                                ]
                            }
                        },
                    ]
                }
            ]
        }
    ]
};
